/* =============================================================================
 *
 * Waybar configuration
 *
 * Configuration reference: https://github.com/Alexays/Waybar/wiki/Configuration
 *
 * =========================================================================== */

/* import css definitions for current theme */
@import url("theme.css");

/* -----------------------------------------------------------------------------
 * Keyframes
 * -------------------------------------------------------------------------- */

@keyframes blink-warning {
    70% {
        color: @text_color;
    }

    to {
        color: @text_color;
        background-color: @warning_color;
    }
}

@keyframes blink-critical {
    70% {
      color: @text_color;
    }

    to {
        color: @text_color;
        background-color: @error_color;
    }
}


/* -----------------------------------------------------------------------------
 * Base styles
 * -------------------------------------------------------------------------- */

/* Reset all styles */
* {
    border: none;
    border-radius: 0;
    min-height: 0;
    margin: 0;
    padding: 0;
    font-family: "FontAwesome 5 Free Solid", "TerminessTTF Nerd Font", sans-serif;
}

/* The whole bar */
#waybar {
    background: @background_color;
    color: @dim_text_color;
    font-family: "TerminessTTF Nerd Font", sans-serif;
    font-size: 14px;
}

/* Each module */
#custom-pacman,
#bluetooth,
#battery,
#clock,
#cpu,
#memory,
#mode,
#network,
#pulseaudio,
#temperature,
#idle_inhibitor,
#backlight,
#tray {
    padding-left: 10px;
    padding-right: 10px;
}


/* -----------------------------------------------------------------------------
 * Module styles
 * -------------------------------------------------------------------------- */

#battery {
    animation-timing-function: linear;
    animation-iteration-count: infinite;
    animation-direction: alternate;
}

#battery.warning {
    color: @warning_color;
}

#battery.critical {
    color: @error_color;
}

#battery.warning.discharging {
    animation-name: blink-warning;
    animation-duration: 3s;
}

#battery.critical.discharging {
    animation-name: blink-critical;
    animation-duration: 2s;
}

#clock {
    font-weight: bold;
}

#cpu {
  /* No styles */
}

#cpu.warning {
    color: @warning_color;
}

#cpu.critical {
    color: @error_color;
}

#memory {
    animation-timing-function: linear;
    animation-iteration-count: infinite;
    animation-direction: alternate;
}

#memory.warning {
    color: @warning_color;
}

#memory.critical {
    color: @error_color;
    animation-name: blink-critical;
    animation-duration: 2s;
}

#mode {
    background: @background_color;
}

#network {
    /* No styles */
}

#network.disconnected {
    margin-top: 3px;
    color: @warning_color;
}

#pulseaudio {
    /* No styles */
}

#pulseaudio.muted {
    /* No styles */
    color: @warning_color;
}

#temperature {
    /* No styles */
}

#temperature.critical {
    color: @error_color;
}

#tray {
    /* No styles */
}

#window {
    font-weight: bold;
    margin-right: 25px;
}

#workspaces button {
    border-top: 2px solid transparent;
    /* To compensate for the top border and still have vertical centering */
    padding-bottom: 2px;
    padding-left: 10px;
    padding-right: 10px;
    color: @accent_color;
    font-weight: bold;
}

#workspaces button.focused {
    border-color: @accent_color;
    color: @text_color;
    background-color: @accent_color;
    font-weight: bold;
}

#workspaces button.urgent {
    border-color: @error_color;
    color: @error_color;
}

#custom-pacman {
    color: @warning_color;
}

#bluetooth.disabled {
    color: @warning_color;
}
